Bug 202731 - empty line after the form feed
empty line after the form feed
Product: Fedora
Classification: Fedora
Component: paps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Depends On: 202638
  Show dependency treegraph
Reported: 2006-08-15 21:53 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.6-13.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-31 05:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2006-08-15 21:53:35 EDT
+++ This bug was initially created as a clone of Bug #202638 +++

Description of problem:
When formating the text which contains the form feed (^L) character, the
page after the form feed starts with the first line empty.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Cteate the file test.txt, containing this:

this is before the form feed.
^Lthis is after the form feed.

(the ^L is the Control-L character, of course).
2. run "paps test.txt > test.ps"
3. view or print the test.ps file
Actual results:
The text "this is after the form feed." in the second page is printed
with bigger top margin than the text in the first page. The topmost line
on the second page is empty.

Expected results:
Both pages should have the text with the same top margin.

Additional info:
I am reporting this to RH Bugzilla rather than upstream, as the whole form-feed
handling is apparently a Fedora Extras packager's addition (thanks for it, I
really need to handle form-feeds correctly!).

Also this issue appears in devel, with
Comment 1 Akira TAGOH 2006-08-31 05:25:12 EDT
Fixed in 0.6.6-13.fc6.

Note You need to log in before you can comment on or make changes to this bug.